if [ $# -ne 5 ]; then
    echo "usage: $0 n1 n2 n3 n4 n5"
    exit 1
fi

echo -n "dir name: "
read dir
if [ ! -d $dir ]; then
    echo "error: invalid dir $dir"
    exit 2
fi

sum=0
for i in $@; do
    let sum=$sum+$i
done
let avg=$sum/$#

for i in $dir/*.txt; do
    echo $avg >> $i
done
